Bug 6199 - tomboy fails to load (no dbus-sharp)
: tomboy fails to load (no dbus-sharp)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tomboy)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-02 22:29 by
Modified: 2005-11-15 12:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-02 22:29:54
$ tomboy

** (/usr/lib/tomboy/Tomboy.exe:19285): WARNING **: Could not find assembly
dbus-sharp, references from /usr/lib/tomboy/Tomboy.exe (assemblyref_index=3)
     Major/Minor: 0,22
     Build:       0,0
     Token:       9eef2692033670f5

cannot open assembly /usr/lib/tomboy/Tomboy.exe
$ rpm -q tomboy
tomboy-0.2.2-alt1.1
------- Comment #1 From 2005-08-24 02:34:12 -------
fixed in tomboy-0.3.3-alt0.2pre  
------- Comment #2 From 2005-08-24 10:42:33 -------
Ещё, кажется, нужна зависимость на GTK#. Тогда всё будет совсем прекрасно.
------- Comment #3 From 2005-11-15 12:37:00 -------
rpmquery tomboy
tomboy-0.3.3-alt1
При запуске грит:
** (/usr/lib/tomboy/Tomboy.exe:23241): WARNING **: The following
assembly referenced from /usr/lib/tomboy/Tomboy.exe could not be loaded:
     Assembly:   gnome-sharp    (assemblyref_index=2)
     Version:    1.0.0.0
     Public Key: 35e10195dab3c99f
The assembly was not found in the Global Assembly Cache, a path
listed in the MONO_PATH environment variable, or in the location of
the executing assembly (/usr/lib/tomboy).


** (/usr/lib/tomboy/Tomboy.exe:23241): WARNING **: The class
Gnome.Program could not be loaded, used in
/usr/lib/tomboy/Tomboy.exe (token 0x01000005)

** (/usr/lib/tomboy/Tomboy.exe:23241): WARNING **: Missing method
get_UI in assembly /usr/lib/tomboy/Tomboy.exe, type Gnome.Modules

Unhandled Exception: System.NullReferenceException: Object reference
not set to an instance of an object

Нужно лечить.